## razorqt 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

if (CMAKE_BUILD_TYPE MATCHES [Dd]ebug)
    message(STATUS "Debug build")
    add_definitions(-DDEBUG)
else()
    message(STATUS "non-debug build")
    add_definitions(-DNDEBUG)
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if (NOT CMAKE_INSTALL_PREFIX)
    message(FATAL_ERROR "CMAKE_INSTALL_PREFIX is not set but it has to be. Something is wrong.")
endif ()

set(MAJOR_VERSION 0)
set(MINOR_VERSION 4)
set(PATCH_VERSION 1)
set(RAZOR_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
add_definitions(-DRAZOR_VERSION=\"${RAZOR_VERSION}\")
message(STATUS "")
message(STATUS "Razor-qt version: ${RAZOR_VERSION}")
message(STATUS "")

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
include(RazorLibSuffix)
include(RazorConfigRegister)


add_definitions ( -Wall )
find_package ( Qt4 4.6.0 REQUIRED )
include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
	)

#find_package (UDev REQUIRED)


# This allows to install and read the configs from non-standard locations
add_definitions(-DSHARE_DIR=\"${CMAKE_INSTALL_PREFIX}/share/razor/\")
# razor-config "modules"/desktop files directory
set(RAZOR_CONFIG_MODULES_DIR ${CMAKE_INSTALL_PREFIX}/share/razor/razor-config/)
add_definitions(-DRAZOR_CONFIG_MODULES_DIR=\"${RAZOR_CONFIG_MODULES_DIR}\")

# configuration directory
message(STATUS "")
if (RAZOR_CONFIG_DIR)
    add_definitions(-DRAZOR_CONFIG_DIR=\"${RAZOR_CONFIG_DIR}\")
    message(STATUS "Using config directory $HOME/${RAZOR_CONFIG_DIR}/")
else (RAZOR_CONFIG_DIR)
    message(STATUS "Using default config directory \"$HOME/.razor/\" It can be changed with -DRAZOR_CONFIG_DIR=\".config/razor\" for example.")
endif(RAZOR_CONFIG_DIR)
message(STATUS "")

message(STATUS "Developer documentation (doxygen) can be generated by 'make doc'")
message(STATUS "")


# main build subdirs
add_subdirectory( libraries )
add_subdirectory( razorqt-session )
add_subdirectory( razorqt-panel )
add_subdirectory( razorqt-desktop )
add_subdirectory( razorqt-appswitcher )
add_subdirectory( razorqt-resources )
#add_subdirectory( razorqt-su )
add_subdirectory( razorqt-x11info )
add_subdirectory( razorqt-runner )
add_subdirectory( razorqt-config )
add_subdirectory( razorqt-power )
add_subdirectory( razorqt-policykit )


########### Add uninstall target ###############
CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")



########## Add make dist target ################
SET(CPACK_PACKAGE_VERSION "${RAZOR_VERSION}")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "razorqt-${CPACK_PACKAGE_VERSION}")
SET(CPACK_IGNORE_FILES "/CVS/;/\\\\.git\;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;refresh-copyright-and-license.pl")
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
INCLUDE(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

add_subdirectory( doxygen )

=== razorqt-appswitcher/CMakeLists.txt ===
project( razor-desktop )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/libraries/
	src
)

set ( razor-appswitcher_HDRS
	src/appswitcher.h
	src/application.h
	)

set ( razor-appswitcher_SRCS
	src/main.cpp
	src/appswitcher.cpp
	src/application.cpp
	)

set(LIBRARIES
    razorqt
    razorqxt
)

QT4_WRAP_CPP(MOCS ${razor-appswitcher_HDRS})
QT4_WRAP_UI(UIS src/appswitcher.ui)

SET (exec razor-appswitcher)

add_executable ( ${exec} ${razor-appswitcher_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
add_dependencies( ${exec} razorqt )
target_link_libraries(${exec}   ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
                                ${LIBRARIES}
                    )
INSTALL(TARGETS ${exec} RUNTIME DESTINATION bin)

=== razorqt-config/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(razor-config-mouse)
add_subdirectory(razor-config-appearance)

=== razorqt-desktop/CMakeLists.txt ===
project( razor-desktop )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
find_package ( X11 REQUIRED )

include(RazorLibSuffix)

set (DESKTOP_PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/razor-desktop/)
add_definitions(-DDESKTOP_PLUGIN_DIR=\"${DESKTOP_PLUGIN_DIR}\")
message(STATUS "Desktop plugins location: ${DESKTOP_PLUGIN_DIR}")


include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR} ${X11_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/libraries/
	src)


set ( razor-desktop_SRCS
	src/main.cpp
	)

add_executable ( razor-desktop ${razor-desktop_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
add_dependencies( razor-desktop razorqt)
target_link_libraries ( razor-desktop  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTDBUS_LIBRARY}  ${X11_X11_LIB} razorqt qtxdg)
INSTALL(TARGETS razor-desktop RUNTIME DESTINATION bin)
install(DIRECTORY resources/ DESTINATION share/razor PATTERN ".svn" EXCLUDE)

add_subdirectory(config)
add_subdirectory( desktop-wm_native )
add_subdirectory( desktop-razor )

=== razorqt-panel/CMakeLists.txt ===
project( razor-panel )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)


macro( setByDefault VAR_NAME VAR_VALUE )
  if (NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif (NOT DEFINED ${VAR_NAME})
endmacro()


# *******************************************************************
# What plugins will be built, by default.
# You can enable/disable building of the plugin using cmake options.
#    cmake -DCLOCK_PLUGIN=Yes .. # Enable clock plugin
#    cmake -DCLOCK_PLUGIN=No ..  # Disable clock plugin

setByDefault(CLOCK_PLUGIN       Yes )
setByDefault(DESKTOPSWITCH_PLUGIN  Yes )
setByDefault(QUICKLAUNCH_PLUGIN Yes )
setByDefault(TRAY_PLUGIN        Yes )
setByDefault(MAINMENU_PLUGIN    Yes )
setByDefault(TASKBAR_PLUGIN     Yes )
setByDefault(SCREENSAVER_PLUGIN  Yes )
setByDefault(SHOWDESKTOP_PLUGIN Yes)
setByDefault(MOUNT_PLUGIN Yes)
setByDefault(HELLOWORLD_PLUGIN No)
# *******************************************************************



include(RazorLibSuffix)


add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
find_package ( X11 REQUIRED )
include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/libraries/
	src)

set (PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/razor-panel/)
add_definitions(-DPLUGIN_DIR=\"${PLUGIN_DIR}\")
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")


add_subdirectory(panel)


set(ENABLED_PLUGINS)

if (CLOCK_PLUGIN)
  set(ENABLED_PLUGINS ${ENABLED_PLUGINS}  "Clock")
  add_subdirectory( plugin-clock )
endif (CLOCK_PLUGIN)

if (DESKTOPSWITCH_PLUGIN)
  set(ENABLED_PLUGINS ${ENABLED_PLUGINS} "DesktopSwitch")
  add_subdirectory( plugin-desktopswitch )
endif (DESKTOPSWITCH_PLUGIN)

if (QUICKLAUNCH_PLUGIN)
  set(ENABLED_PLUGINS ${ENABLED_PLUGINS}  "Quicklaunch")
  add_subdirectory( plugin-quicklaunch )
endif (QUICKLAUNCH_PLUGIN)

if (TRAY_PLUGIN)
  set(ENABLED_PLUGINS ${ENABLED_PLUGINS}  "System Tray")
  add_subdirectory( plugin-tray )
endif (TRAY_PLUGIN)

if (MAINMENU_PLUGIN)
  set(ENABLED_PLUGINS ${ENABLED_PLUGINS}  "Main menu")
  add_subdirectory( plugin-mainmenu )
endif (MAINMENU_PLUGIN)

if (MOUNT_PLUGIN)
	#  if (NOT UDEV_STABLE)
	#message(WARNING "lubudev is not stable - panel mount plugin is disabled")
	#else (NOT UDEV_STABLE)
    set(ENABLED_PLUGINS ${ENABLED_PLUGINS}  "Mount")
    add_subdirectory( plugin-mount )
    #endif (NOT UDEV_STABLE)
endif (MOUNT_PLUGIN)

if (TASKBAR_PLUGIN)
  set(ENABLED_PLUGINS ${ENABLED_PLUGINS}  "Taskbar")
  add_subdirectory( plugin-taskbar )
endif (TASKBAR_PLUGIN)

if (SCREENSAVER_PLUGIN)
    set(ENABLED_PLUGINS ${ENABLED_PLUGINS}   "Screensaver")
    add_subdirectory( plugin-screensaver )
endif (SCREENSAVER_PLUGIN)

if (SHOWDESKTOP_PLUGIN)
    set(ENABLED_PLUGINS ${ENABLED_PLUGINS}   "ShowDesktop")
    add_subdirectory(plugin-showdesktop)
endif (SHOWDESKTOP_PLUGIN)

if (HELLOWORLD_PLUGIN)
    set(ENABLED_PLUGINS ${ENABLED_PLUGINS}   "HelloWorld")
    add_subdirectory(plugin-helloworld)
endif (HELLOWORLD_PLUGIN)

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
  message(STATUS   "  ${PLUGIN_STR}")
endforeach()
message(STATUS  "*********************************************************************")

=== razorqt-policykit/CMakeLists.txt ===
find_package(PolkitQt-1)
if (NOT POLKITQT-1_LIB_DIR AND NOT POLKITQT-1_INCLUDE_DIR)
    message(WARNING "Qt bindings for policykit are not found. Razor policykit integration won't be built")
    message(STATUS "Hint: package libpolkit-qt-1-devel on openSUSE")
else ()
    message(STATUS "PolkitQt-1: ${POLKITQT-1_VERSION_STRING}")
    message(STATUS "      libs: ${POLKITQT-1_CORE_LIBRARY} ${POLKITQT-1_AGENT_LIBRARY}")
    message(STATUS "   include: ${POLKITQT-1_INCLUDE_DIR}")
    
    find_package(PkgConfig)
    pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
    message(STATUS "polkit agent: ${POLKIT_AGENT_INCLUDE_DIRS} ${POLKIT_AGENT_LIBRARIES}")

    # TODO/FIXME: pkg-config for hardcoded paths
    # pkg-config --cflags glib-2.0
    # pkg-config --cflags polkit-agent-1
    include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}/src
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_SOURCE_DIR}/libraries
        ${POLKIT_AGENT_INCLUDE_DIRS}
        ${POLKITQT-1_INCLUDE_DIR}
    )

    set(razor-policykit-agent_SRCS
        src/main.cpp
        src/policykitagent.cpp
        src/policykitagentgui.cpp
    )

    set(razor-policykit-agent_H
        src/policykitagent.h
        src/policykitagentgui.h
    )
    
    QT4_WRAP_CPP(razor-policykit-agent_MOCS ${razor-policykit-agent_H})
    QT4_WRAP_UI(razor-policykit-agent_UI src/policykitagentgui.ui)

    add_executable(razor-policykit-agent
        ${razor-policykit-agent_SRCS} ${razor-policykit-agent_MOCS}
        ${razor-policykit-agent_UI}
    )

    target_link_libraries(razor-policykit-agent
        ${QT_QTCORE_LIBRARY}
        ${QT_QTGUI_LIBRARY}
        ${POLKITQT-1_CORE_LIBRARY}
        ${POLKITQT-1_AGENT_LIBRARY}
        ${POLKIT_AGENT_LIBRARIES}
        qtxdg razorqt
    )
    
    
    # install
    install(TARGETS razor-policykit-agent DESTINATION bin)

endif()

=== razorqt-power/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(razor-autosuspend)

=== razorqt-resources/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

install(DIRECTORY config/ DESTINATION share/razor PATTERN ".svn" EXCLUDE)
install(DIRECTORY graphics DESTINATION share/razor/ PATTERN ".svn" EXCLUDE)

# TODO/FIXME: install kdm/gdm files too
# this file should be enough but it needs testing...
set(SESSION_FILES
    sys/razor.desktop
#    sys/razor-eggwm.desktop
    sys/razor-openbox.desktop
    sys/razor-kwin.desktop
    sys/razor-metacity.desktop
)

MACRO(INSTALL_SESSION_FILES directory)
#    if(EXISTS ${directory})
        install(FILES ${SESSION_FILES} DESTINATION ${directory})
#    endif()
ENDMACRO(INSTALL_SESSION_FILES)

#INSTALL_SESSION_FILES("/etc/X11/sessions")
#INSTALL_SESSION_FILES("/usr/share/sessions")
INSTALL_SESSION_FILES("/usr/share/xsessions")
INSTALL_SESSION_FILES("/usr/share/apps/kdm/sessions")
#INSTALL_SESSION_FILES("/usr/local/share/apps/kdm/sessions")
#INSTALL_SESSION_FILES("/usr/share/config/kdm/sessions")
#INSTALL_SESSION_FILES("/usr/local/share/config/kdm/sessions")
#
#IF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
#    message(STATUS "*BSD: ${CMAKE_SYSTEM_NAME} - Installing BSD-resources")
#    install (DIRECTORY res/bsd/ DESTINATION share/razor PATTERN ".svn" EXCLUDE)
#ELSE ()
#	message(STATUS " Linux: ${CMAKE_SYSTEM_NAME} - Installing Linux-resources")
#	install (DIRECTORY res/linux/ DESTINATION share/razor PATTERN ".svn" EXCLUDE)
#ENDIF()

install(DIRECTORY autostart/ DESTINATION /etc/xdg/autostart)

add_subdirectory( themes )
add_subdirectory( application-menu )

=== razorqt-runner/CMakeLists.txt ===
set(PROJECT razor-runner)
project(${PROJECT})


set(H_FILES
    dialog.h
    commanditemmodel.h
    widgets.h
    providers.h
    configuredialog/configuredialog.h
)

set(MOC_FILES
    dialog.h
    commanditemmodel.h
    widgets.h
    configuredialog/configuredialog.h
)

set(CPP_FILES
    main.cpp
    dialog.cpp
    commanditemmodel.cpp
    widgets.cpp
    providers.cpp
    configuredialog/configuredialog.cpp
)

set(UI_FILES
    dialog.ui
    configuredialog/configuredialog.ui
)

set(QRC_FILES

)

set(LIBRARIES
    razorqt
    razorqxt
    qtxdg
)

set(QT_USE_QTXML true)
set(QT_USE_QTSCRIPT true)


macro( setByDefault VAR_NAME VAR_VALUE )
  if (NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif (NOT DEFINED ${VAR_NAME})
endmacro()


# *******************************************************************
# What plugins will be built, by default.
# You can enable/disable building of the plugin using cmake options.
#    cmake -DRUNNER_MATH=Yes .. # Enable math plugin
#    cmake -DRUNNER_MATH=No ..  # Disable math plugin

setByDefault(RUNNER_MATH Yes )


# Translations **********************************
include(RazorTranslate)
razor_translate(QM_FILES)
#************************************************
cmake_minimum_required( VERSION 2.6 )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/libraries/
)


if(NOT CMAKE_BUILD_TYPE)
    set( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions(-Wall)
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})


set(RAZOR_SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/razor)
set(APP_SHARE_DIR ${RAZOR_SHARE_DIR}/${PROJECT})

#************************************************

if (RUNNER_MATH)
    add_definitions(-DMATH_ENABLED)
endif (RUNNER_MATH)


qt4_wrap_cpp(MOC_SOURCES ${MOC_FILES})
qt4_wrap_ui(UI_HEADERS ${UI_FILES})
qt4_add_resources(QRC_SOURCES ${QRC_FILES})

add_executable(${PROJECT} ${CPP_FILES} ${UI_FILES} ${RESOURCES} ${QRC_SOURCES} ${QM_FILES} ${MOC_SOURCES})
add_dependencies(${PROJECT} razorqt)
target_link_libraries(${PROJECT}  ${LIBRARIES} ${QT_LIBRARIES})

install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES   ${CONFIG_FILES}    DESTINATION ${APP_SHARE_DIR})

=== razorqt-session/CMakeLists.txt ===
project( razor-session )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
   set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
find_package ( X11 REQUIRED )

include(RazorLibSuffix)

include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR}
    ${X11_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/libraries/
    src)

set ( razor-session_HDRS
	)

set ( razor-session_SRCS
    src/main.cpp
    src/razormodman.cpp
    src/wmselectdialog.cpp
    src/windowmanager.cpp
	)

set ( razor-session_MOCS
    src/razormodman.h
    src/sessiondbusadaptor.h
    src/wmselectdialog.h
	)

set ( razor-session_UI
    src/wmselectdialog.ui
)

# Translations **********************************
include(RazorTranslate)
razor_translate(QM_FILES)
#************************************************

QT4_WRAP_CPP(MOCS ${razor-session_MOCS})
qt4_wrap_ui(UIS ${razor-session_UI})

add_executable ( razor-session ${razor-session_SRCS} ${UIS} ${RSCS} ${QM_FILES} ${MOCS} )
add_dependencies( razor-session razorqt qtxdg)
target_link_libraries ( razor-session  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTXML_LIBRARY} ${X11_X11_LIB} razorqt qtxdg)
INSTALL(TARGETS razor-session RUNTIME DESTINATION bin)

install(PROGRAMS resources/xdg-open resources/xdg-mime DESTINATION lib${LIB_SUFFIX}/razor-xdg-tools)
add_definitions ( -DPATH_PREPEND=\"${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/razor-xdg-tools\" )
install(PROGRAMS src/startrazor DESTINATION bin)

add_subdirectory(config)

=== razorqt-su/CMakeLists.txt ===
project( razor-su )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
find_package ( X11 REQUIRED )
include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
	src)

set ( razor-su_HDRS
    src/sudialog.h
    src/suprocess.h
	)

set ( razor-su_SRCS
    src/main.cpp
    src/suprocess.cpp
    src/sudialog.cpp
	)

QT4_WRAP_CPP(MOCS ${razor-su_HDRS})
QT4_WRAP_UI(UIS src/sudialog.ui)

SET (exec razor-su)

add_executable ( ${exec} ${razor-su_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
target_link_libraries ( ${exec}  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${X11_X11_LIB})
INSTALL(TARGETS ${exec} RUNTIME DESTINATION bin)

=== libraries/qtxdg/CMakeLists.txt ===
project(libqtxdg)

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set (MAJOR_VERSION 0)
set (MINOR_VERSION 4)
set (PATCH_VERSION 1)


add_definitions(-Wall)
find_package(Qt4 REQUIRED)
find_package(LibMagic REQUIRED)


set(QTXDG_PUBLIC_HDRS
    xdgaction.h
    xdgdesktopfile.h
    xdgdirs.h
    xdgicon.h
    xdgmenu.h
    xdgmenuwidget.h
    xdgmime.h
    xmlhelper.h
    xdgautostart.h
)

set(QTXDG_PRIVATE_HDRS
    xdgmenuapplinkprocessor.h
    xdgmenulayoutprocessor.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    qiconfix/qiconloader_p.h
)

set(QTXDG_SRCS
    xdgaction.cpp
    xdgdesktopfile.cpp
    xdgdirs.cpp
    xdgicon.cpp
    xdgmenuapplinkprocessor.cpp
    xdgmenu.cpp
    xdgmenulayoutprocessor.cpp
    xdgmenureader.cpp
    xdgmenurules.cpp
    xdgmenuwidget.cpp
    xdgmime.cpp
    xmlhelper.cpp
    xdgautostart.cpp
    qiconfix/qiconloader.cpp
)

set(QTXDG_MOCS
    xdgaction.h
    xdgmenuapplinkprocessor.h
    xdgmenu.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    xdgmenuwidget.h
)

set(QT_USE_QTXML TRUE)


# Translations **********************************
file(GLOB QTXDG_TS_FILES
    translations/*.ts
)
#************************************************


#**********************************************************
cmake_minimum_required( VERSION 2.6 )

include(RazorLibSuffix)
include(${QT_USE_FILE})

QT4_WRAP_CPP(QTXDG_CXX ${QTXDG_MOCS})
qt4_add_translation(QTXDG_QM_FILES ${QTXDG_TS_FILES})

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)


set(APP_SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/qtxdg)
add_definitions(-DTRANSLATIONS_DIR=\"${APP_SHARE_DIR}\")

add_library(qtxdg SHARED ${QTXDG_PUBLIC_HDRS} ${QTXDG_PRIVATE_HDRS} ${QTXDG_SRCS} ${QTXDG_CXX} ${QTXDG_QM_FILES})
target_link_libraries(qtxdg  ${QT_LIBRARIES} ${LIBMAGIC_LIBRARY})

set_target_properties(qtxdg PROPERTIES
  VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}
  SOVERSION ${MAJOR_VERSION}
)

install(TARGETS qtxdg DESTINATION lib${LIB_SUFFIX})
install(FILES ${QTXDG_PUBLIC_HDRS} DESTINATION include/qtxdg)
install(FILES ${QTXDG_QM_FILES}    DESTINATION ${APP_SHARE_DIR})

include(create_pkgconfig_file)
create_pkgconfig_file(qtxdg "QtXdg, a Qt implementation of XDG standards")

=== debian/changelog ===
razorqt (0.4.1-2) unstable; urgency=low

  * Dependencies:
    - Restric libudev-dev to [linux-any] (so it can be built on Hurd and
      KFreeBSD kernels/ports) (Closes: #695573)
    - Drop explicit dependency of libqtxdg0 on libqt4-xml
    - Add dependency of razorqt-power on upower
    - Add dependency of razorqt-policykit-agent on policykit-1
    - Add dependency of razorqt-data on oxygen-icon-theme or hicolor-icon-theme,
      and recommends menu-xdg
    Thanks Pino Toscano for report, patch, suggestions and testing.
  * Add "razor-session" as "x-session-manager" alternative
  * Document in debian/copyright several files apparently under GPL-2 only
    license.  Thanks Luca Falavigna (Closes: #695628).
  * Improve "watch" file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 11 Dec 2012 19:49:12 +0000

razorqt (0.4.1-1~exp1) experimental; urgency=low

  * Initial release (Closes: #652745)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 21 Jul 2012 18:42:37 +0100

=== debian/control ===
Source: razorqt
Section: x11
Priority: optional
Maintainer: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.6),
               pkg-config,
               libmagic-dev,
               libpolkit-agent-1-dev,
               libpolkit-qt-1-dev,
               libqt4-dev (>= 4.5.1),
               libudev-dev [linux-any],
               libxrender-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxcursor-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://razor-qt.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/razorqt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/razorqt.git


Package: razorqt
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
	 razorqt-appswitcher (>= ${binary:Version}),
         razorqt-config (>= ${binary:Version}),
         razorqt-desktop (>= ${binary:Version}),
         razorqt-panel (>= ${binary:Version}),
         razorqt-policykit-agent (>= ${binary:Version}),
         razorqt-runner (>= ${binary:Version}),
         razorqt-session (>= ${binary:Version}),
	 openbox | kde-window-manager | x-window-manager
Recommends: x-display-manager, openbox
Description: Lightweight desktop environment, all components
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 While still a new project, Razor-qt already contains the key DE components
 (components can be used separately, not all of them need to be used at once):
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Sessions
 .
 Razor-qt works with various WMs.  Most of Razor developers use Openbox, but
 other modern WMs can be used, such as fwwm2 to kwin.
 .
 This metapackage provides all the components of Razor-qt.


Package: libqtxdg0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the shared library.

Package: libqtxdg0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Description: Implementation of the XDG Specifications for Qt, development package
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the development files.


Package: librazorqt0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Suggests: razorqt
Description: Shared libraries for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the Razor-qt desktop
 environment.

Package: librazorqt0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0-dev (= ${binary:Version})
Description: Shared libraries for Razor-qt desktop environment, development package
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the development files for the libraries that are shared
 amongst the various components of Razor-qt.


Package: razorqt-data
Architecture: all
Depends: ${misc:Depends},
         oxygen-icon-theme | hicolor-icon-theme
Recommends: menu-xdg
Suggests: razorqt
Description: Shared data files for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the architecture-independent shared data files needed by
 the Razor-qt desktop environment.

Package: razorqt-appswitcher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Application switcher component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the application switcher component.

Package: razorqt-config
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Suggests: razorqt
Description: Configuration component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the user interface to configure other components.

Package: razorqt-desktop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Desktop component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the desktop component (displaying icons, clock and other
 widgets in the desktop background).

Package: razorqt-panel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Panel component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the panel component, providing a taskbar (list of all
 opened windows), desktop switcher, launchbar, clock, etc.

Package: razorqt-policykit-agent
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version}),
         policykit-1
Suggests: razorqt
Description: PolicyKit agent component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the PolicyKit agent component.

Package: razorqt-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version}),
         upower
Recommends: razorqt-config
Suggests: razorqt
Description: Power manager component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the power manager component.

Package: razorqt-runner
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Application launcher component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the application launcher component.

Package: razorqt-session
Architecture: any
Provides: x-session-manager
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version}),
	 xdg-utils
Recommends: razorqt-config
Suggests: razorqt
Description: Session manager component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the session manager component.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

#export DEB_BUILD_MAINT_OPTIONS   := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed
# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS instead (bug #662833)
export DEB_CFLAGS_MAINT_APPEND   := -pipe -Wall $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall $(shell dpkg-buildflags --get CPPFLAGS)


%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_clean:
	dh_clean --exclude="distr/deb/makeDeb.sh~"
